#include "WimaServicePolygon.h"

WimaServicePolygon::WimaServicePolygon(QObject *parent):
    WimaPolygon (parent)
{

}

void WimaServicePolygon::setTakeOffPosition(QGeoCoordinate coordinate)
{
    if(_takeOffPosition != coordinate){
        _takeOffPosition = coordinate;
        emit takeOffPositionChanged(coordinate);
    }
}

void WimaServicePolygon::setLandPosition(QGeoCoordinate coordinate)
{
    if(_landPosition != coordinate){
        _landPosition = coordinate;
        emit landPositionChanged(coordinate);
    }
}

void WimaServicePolygon::setVehicle(Vehicle *vehicle)
{
    if(_vehicle != vehicle){
        _vehicle = vehicle;
        emit vehicleChanged(vehicle);
    }
}
